//
//  GSAlignmentZone.h
//  GlyphsCore
//
//  Created by Georg Seifert on 18.08.10.
//  Copyright 2010 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class GSFontMaster;

@interface GSAlignmentZone : NSObject {
	NSInteger position ;
	NSInteger size ;
	GSFontMaster *__unsafe_unretained parent ;
}
@property (nonatomic) NSInteger position ;
@property (nonatomic) NSInteger size ;
@property (unsafe_unretained, nonatomic) GSFontMaster *parent ;
- (id) initWithElementString: (NSString*) String ;
- (NSString*) elementString ;
#ifndef GLYPHS_VIEWER
- (BOOL) saveToFile:(FILE*) File error:(NSError**) error ;
#endif
@end
