//
//  GSGlyphEditViewControllerProtocol.h
//  GlyphsCore
//
//  Created by Georg Seifert on 11.09.09.
//  Copyright 2009 schriftgestaltung.de. All rights reserved.
//

@class GSLayer;

@protocol GSGlyphViewControllerProtocol

@property (nonatomic) NSUInteger			masterIndex;
@property (readonly, nonatomic) NSArray		*selectedLayers;
@property (readonly, nonatomic) GSLayer		*activeLayer;
@property (strong, nonatomic) GSLayer		*shadowLayer;

- (id) representedObject;
- (void) setRepresentedObject: (id) RepresentedObject;
@end

@protocol GSGlyphEditViewControllerProtocol

@property (assign, nonatomic) NSView</*GSGlyphEditViewProtocol, */NSTextInputClient>* graphicView;
//@property (retain) NSMutableDictionary		*inspectorViewControllers;

- (void) redraw;
- (void) forceRedraw;
@end
